/*
 * This file is part of the xTuple ERP: PostBooks Edition, a free and
 * open source Enterprise Resource Planning software suite,
 * Copyright (c) 1999-2009 by OpenMFG LLC, d/b/a xTuple.
 * It is licensed to you under the Common Public Attribution License
 * version 1.0, the full text of which (including xTuple-specific Exhibits)
 * is available at www.xtuple.com/CPAL.  By using this software, you agree
 * to be bound by its terms.
 */

#ifndef DSPTIMEPHASEDPRODUCTIONBYPLANNERCODE_H
#define DSPTIMEPHASEDPRODUCTIONBYPLANNERCODE_H

#include "xwidget.h"
#include <QList>

#include "ui_dspTimePhasedProductionByPlannerCode.h"

class dspTimePhasedProductionByPlannerCode : public XWidget, public Ui::dspTimePhasedProductionByPlannerCode
{
    Q_OBJECT

public:
    dspTimePhasedProductionByPlannerCode(QWidget* parent = 0, const char* name = 0, Qt::WFlags fl = Qt::Window);
    ~dspTimePhasedProductionByPlannerCode();

public slots:
    virtual void sPrint();
    virtual void sSubmit();
    virtual void sViewTransactions();
    virtual void sPopulateMenu( QMenu * menu, QTreeWidgetItem *, int pColumn );
    virtual void sCalculate();

protected slots:
    virtual void languageChange();

private:
    int _column;
    QList<DatePair> _columnDates;

    ParameterList buildParameters();
};

#endif // DSPTIMEPHASEDPRODUCTIONBYPLANNERCODE_H
